Bug 127976 - Please remove the stale {beecrypt,zlib,elfutils}
Please remove the stale {beecrypt,zlib,elfutils}
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-07-15 17:24 EDT by R P Herrold
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-16 05:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2004-07-15 17:24:05 EDT
beecrypt,zlib, and elfutils have been in and out of the RPM tarball,
as the product has evolved, and stabilized (both rpm, and the others 

These subdirectories are stale, and unmaintained, and cause
hard-to-solve and unneeded build problems on certain architectures,
and with later headers and compilers.

All the releases at RH which used this are now out of support.  Would
it be possible to 'nuke' this cruft away, and remove this trap for the

thanks --
Comment 1 Jeff Johnson 2004-07-16 05:19:37 EDT
Beecrypt, zlib, and elfutils are ib CVS because they contain
splint and doxygen annotations that are useful for maintaining

zlib has had, and will have again, tunings for performance speedups
appropriate for rpm, but inappropriate in general.

elfutils is included in CVS to assist non-linux elf platforms
with porting. Ditto beecrypt. Both have fragile and complicated
API's that are tricky to get correct.

The sub-directories are included or not as needed and appropriate.
Yes, external is preferred on current linux platforms; that
is not true for legacy linux distributions nor non-linux.

Note You need to log in before you can comment on or make changes to this bug.